org.eclipse.incquery.runtime.rete.single

## Class DefaultProductionNode

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.network.StandardNode
    - - org.eclipse.incquery.runtime.rete.single.UniquenessEnforcerNode
      - - org.eclipse.incquery.runtime.rete.single.DefaultProductionNode

- All Implemented Interfaces:
    java.lang.Iterable<Tuple>, Node, Production, Receiver, Supplier, Tunnel

      public class DefaultProductionNode
      extends UniquenessEnforcerNode
      implements Production

  Default implementation of the Production node, based on UniquenessEnforcerNode
  Author:
    Gabor Bergmann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultProductionNode(ReteContainer reteContainer, java.util.Map<java.lang.String,java.lang.Integer> posMapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptPropagatedTraceInfo(TraceInfo traceInfo)` accepts traceability info propagated to this node
    `java.util.Map<java.lang.String,java.lang.Integer>` | `getPosMapping()`
    `java.util.Iterator<Tuple>` | `iterator()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.single.UniquenessEnforcerNode

      `appendParent, assignTraceInfo, constructIndex, getIdentityIndexer, getMemory, getNullIndexer, getParents, pullInto, removeParent, update`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.StandardNode

      `appendChild, getPulledContents, getReceivers, removeChild`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `getContainer, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Supplier

      `appendChild, constructIndex, getPulledContents, getReceivers, pullInto, removeChild`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Receiver

      `appendParent, getParents, removeParent, update`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `assignTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### DefaultProductionNode

          public DefaultProductionNode(ReteContainer reteContainer,
                                       java.util.Map<java.lang.String,java.lang.Integer> posMapping)

      Parameters:
        `reteContainer` -
        `posMapping` -

  - ### Method Detail

    - #### getPosMapping

          public java.util.Map<java.lang.String,java.lang.Integer> getPosMapping()

      Specified by:
        `getPosMapping` in interface `Production`
      Returns:
        the posMapping

    - #### iterator

          public java.util.Iterator<Tuple> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<Tuple>`

    - #### acceptPropagatedTraceInfo

          public void acceptPropagatedTraceInfo(TraceInfo traceInfo)

      Description copied from interface: `Node`
      accepts traceability info propagated to this node
      Specified by:
        `acceptPropagatedTraceInfo` in interface `Node`
      Overrides:
        `acceptPropagatedTraceInfo` in class `BaseNode`